Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm, arm64, ppc, ppc64, sparc ], all versions are unstable: [ 0.4.21-r6, 0.4.21-r7 ]
  • 0.4.21-r7
    • OutdatedBlocker
      outdated blocker RDEPEND="!<x11-base/xorg-server-1.20.10": last match removed 3.55 years ago
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc, ~ppc64, ~sparc ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_13
  • 0.4.21-r6
    • EmptyGlobalAssignment
      line 16: empty global assignment: IUSE=""
    • OutdatedBlocker
      outdated blocker RDEPEND="!<x11-base/xorg-server-1.20.10": last match removed 3.55 years ago
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_12, python3_13
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 0.4.21-r7
    • RequiredUseDefaults
      profile: 'default/linux/amd64/23.0' (300 total) failed REQUIRED_USE: exactly-one-of ( python_single_target_python3_10 python_single_target_python3_11 )

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.